const callsites = require('./callsites')
const locationFromCallSite = require('./locationFromCallSite')
const { defaultFilterFn, defaultFilenameFn } = require('./defaultOpt')

module.exports = (n = 0, filterFn = defaultFilterFn, filenameFn = defaultFilenameFn) => {
  const callsite = callsites(new Error())[n + 1]
  const location = locationFromCallSite(callsite, filterFn, filenameFn)
  return location || ''
}
