const originPrepareStackTrace = Error.prepareStackTrace
Error.prepareStackTrace = (err, callsites) => {
  err.callsites = callsites
  return originPrepareStackTrace
    ? originPrepareStackTrace(err, callsites)
    : undefined
}

module.exports = err => (err && !(void err.stack) && err.callsites) || []
