module.exports = (callsite, filterFn, filenameFn) => {
  let filename = (callsite && callsite.getFileName()) || ''
  if (!filename || !filterFn(callsite, filename)) {
    return ''
  }
  filename = filenameFn(callsite, filename)
  const line = callsite.getLineNumber()
  return `${filename}:${line}`
}
